io.swagger.client.model

## Class ApplicationRole

- java.lang.Object
- - io.swagger.client.model.ApplicationRole

-     public class ApplicationRole
      extends Object

  ApplicationRole

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationRole` | `description(String description)`
    `boolean` | `equals(Object o)`
    `String` | `getDescription()` Get description
    `Integer` | `getId()` Get id
    `String` | `getName()` Get name
    `int` | `hashCode()`
    `ApplicationRole` | `id(Integer id)`
    `ApplicationRole` | `name(String name)`
    `void` | `setDescription(String description)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationRole

          public ApplicationRole()

  - ### Method Detail

    - #### id

          public ApplicationRole id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### name

          public ApplicationRole name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### description

          public ApplicationRole description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.